import { geoMercator, geoPath } from 'd3';
         const projection = geoMercator().scale(40933).center([78.22, 11.65]);
        const path = geoPath().projection(projection);
export const Marks = ({ worldAtlas : {countries , interiors }, cities, sizeScale, sizeValue}) => (
  <g className="marks">
   
    {
      countries.features.map(feature => (
      <path className="country" d={path(feature)} />
      ))
    }
     
      <path className="interiors" d={path(interiors)} />
    
    {cities.map(d=>{
    const [x,y] = projection([d.lat, d.lng]);
  
      return <circle cx={x} cy={y} r={sizeScale(sizeValue(d))}/>
      
    
    })}
  </g>
);
